<p-dialog [header]="header" [(visible)]="viewDisplay" [breakpoints]="{'960px': '75vw'}"
  [style]="{width: '60vw'}" [draggable]="false" [resizable]="false" [modal]="true">

  <form>
    <div class="form-row">
      <div class="col-12">
        <label for="">Clasificación por materia de regulación:</label>
        <input type="text" class="form-control" list="materiaList" autocomplete="off" placeholder="Escriba o seleccione una clasificación por materia"
          name="materiaRegulacion" id="materiaRegulacion" [(ngModel)]="materiaActual.materiaRegulacion"
          [ngClass]="{'invalid': clasificacionRequerid.materiaRegulacion }">
        <datalist id="materiaList" styleClass="w-100">
          <option *ngFor="let materia of catalogo" [value]="materia.nombre">
            {{materia.nombre}}
          </option>
        </datalist>
      </div>
   </div>
   <div class="form-row">
     <div class="col-12">
       <label style="width: 100%;" for="">Temas específicos de regulación: <i class="material-icons" placement="top"
        style="transform: translate(0px,5px);"
         ngbTooltip="Escriba uno o varios temas específicos utilizando la tecla coma">help_center</i>
        </label >
         <p-chips name="especificoRegulacion" [(ngModel)]="materiaActual.temas" placeholder="ejemplo: tema1, tema 2, tema3"
            separator="," (onBlur)="validateChips($event.target.value)" styleClass="w-100">
          </p-chips>
          <!--
       <input type="text" class="form-control" autocomplete="off" placeholder="Ejemplo: tema 1,tema 2,tema 3"
         name="especificoRegulacion" id="especificoRegulacion" [(ngModel)]="materiaActual.temas">-->
     </div>
   </div>
  </form>
  <ng-template pTemplate="footer">
    <p-button styleClass="p-button-sm" (click)="isEditMateria ?editMateria() :crearMateria()"
      [label]="isEditMateria?'Actualizar':'Guardar'"></p-button>
  </ng-template>
</p-dialog>

